{%- from "glance/map.jinja" import server with context %}

glance_render_config:
  test.show_notification:
    - text: "Running glance.upgrade.render_config"

{%- if server.enabled %}
/etc/glance/glance-api.conf:
  file.managed:
  - source: salt://glance/files/{{ server.version }}/glance-api.conf.{{ grains.os_family }}
  - template: jinja

/etc/glance/glance-registry.conf:
  file.managed:
  - source: salt://glance/files/{{ server.version }}/glance-registry.conf.{{ grains.os_family }}
  - template: jinja
{%- endif %}

{%- if server.get('concurrency', {}).lock_path is defined %}
glance_upgrade_lock_path_{{ server.concurrency.lock_path }}:
  file.directory:
  - name: {{ server.concurrency.lock_path }}
  - user: glance
  - group: glance
  - mode: 750
  - makedirs: True
{%- endif %}
